## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/ultradns/ultradns-go-sdk
%global goipath         github.com/ultradns/ultradns-go-sdk
Version:                1.5.0
%global tag             v1.5.0-20230427130837-23c9b0c
%global distprefix      %nil

%gometa -f

%global common_description %{expand:
UltraDNS SDK for Go}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        UltraDNS SDK for Go

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# network tests
for test in "TestZoneResources" \
            "TestRecordResources" \
            "TestTokenSuccessWithPasswordCredentials" \
            "TestTokenSuccessWithRefreshTokenFailure" \
            "TestTokenFailureWithPasswordCredentials" \
            "TestTokenFailureWithRefreshTokenFailure" \
            "TestNewClientWithCredentials" \
            "TestNewClientWithoutPassword" \
            "TestNewClientWithoutHost" \
            "TestDoSuccess" \
            "TestDoNilTarget" \
            "TestDoWrongTarget" \
            "TestDoNonExistingZone" \
            "TestDoInvalidMethod" \
            "TestNewSuccess" \
            "TestNewError" \
            "TestCreateProbeFailure" \
            "TestUpdateProbeFailure" \
            "TestPartialUpdateProbeFailure" \
            "TestReadProbeFailure" \
            "TestDeleteProbeFailure" \
            "TestListProbeFailure" \
            "TestCreateProbeValidationFailure" \
            "TestUpdateProbeValidationFailure" \
            "TestCreateRecordFailure" \
            "TestUpdateRecordFailure" \
            "TestPartialUpdateRecordFailure" \
            "TestReadRecordFailure" \
            "TestDeleteRecordFailure" \
            "TestUpdateWithValidationFailure" \
            "TestRDPoolOrderValidationFailure" \
            "TestSFPoolMonitorMethodValidationFailure" \
            "TestSFPoolRegionFailureSensitivityValidationFailure" \
            "TestSLBPoolMonitorMethodValidationFailure" \
            "TestSLBPoolRegionFailureSensitivityValidationFailure" \
            "TestSLBPoolResponseMethodValidationFailure" \
            "TestSLBPoolServingPreferenceValidationFailure" \
            "TestSBPoolOrderValidationFailure" \
            "TestSBPoolRecordStateValidationFailure" \
            "TestTCPoolRecordStateValidationFailure" \
            "TestDIRPoolConflictResolveValidationFailure" \
            "TestGetTaskStatusWithInvalidTaskID" \
            "TestTaskWaitError" \
            "TestTaskWaitTimeoutError" \
            "TestFailedTaskWithSecondaryZone" \
            "TestCreateZoneFailure" \
            "TestUpdateZoneFailure" \
            "TestPartialUpdateZoneFailure" \
            "TestReadZoneFailure" \
            "TestDeleteZoneFailure" \
            "TestListZoneFailure" \
            "TestListZoneSuccess" \
; do
awk -i inplace '/^func.*'"$test"'/ { print; print "\treturn"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Aug 19 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Initial import
